summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-14 19:42:20 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-14 19:42:20 +0200
commit7b9fab6159ac5a3ded630786279ebc6f66dcd7c7 (patch)
tree2c9d63beca6e1802a81f28739491390ec7173381 /bootstrap.sh
parentbb41d7dafa24ad6561e6a2d27bfb1c815dec3e84 (diff)
bootstrapping script for krebs install
bootstrap.sh: contains the power to be executed in the pipeline via curl https://github.com/krebscode/painload/raw/master/bootstrap.sh | sudo sh the script should be enterprise and survive several unexpected conditions
Diffstat (limited to 'bootstrap.sh')
-rw-r--r--bootstrap.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100644
index 00000000..475d01c3
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -x
+[ "`id -u`" -eq "0" ] || { echo "you need to be root!"; exit 1;} || exit 1
+
+[ -e '/usr/bin/git' ] || \
+apt-get install -y git || \
+yum install git || \
+pacman -Sy git || \
+{ echo "please install git!"; exit 1;} || exit 1
+
+[ -e '/krebs' ] || git clone git://github.com/krebscode/painload.git /krebs \
+|| { echo "cloning failed :(" ; exit 1; } || exit 1
+
+cd /krebs || { echo "cannot change into /krebs folder:(" ; exit 1; } || exit 1
+
+read -n1 -p "infest now? [yN]"
+
+[[ $REPLY = [yY] ]] && make infest
+echo $REPLY
+echo "have a nice day"
+